<template>

    <div class="container">
        <div className="mb-3 d-flex justify-content-between align-items-center">
            <h1>Films</h1>
            <add-film></add-film>
        </div>
        
    <table class="table table-hover">
        <thead>
            <tr>
            <th scope="col">id</th>
            <th scope="col">name</th>
            <th scope="col">date created</th>
            <th scope="col">date updated</th>
            </tr>
        </thead>
        <tbody>
            <tr class="table-active" v-for="film in films" :key="film.id">
                <th scope="row">{{film.id}}</th>
                <td>{{film.name}}</td>
                <td>{{film.created_at}}</td>
                <td>{{film.updated_at}}</td>
                <td>{{film.updated_at}}</td>
                <td> <router-link :to="{ name: 'editfilm', params: { id: film.id }}">edit</router-link>  </td>
                <td> <button type="button" class="btn btn-danger btn-sm"  @click="filmDelete(film.id)">delete</button> </td>
            </tr>
        </tbody>
    </table>
      
     
    </div>
</template>

<script>
    export default {
     
     data() {
         return {
             films:{}
         }
     },

        created()
        {
        axios.get('http://127.0.0.1:8000/films')
            .then(response => {
                this.films = response.data
            })
            .catch(error => {
                console.log(error)
                //this.errored = true
            });
            this.interval = setInterval(() => this.getfilms(), 1000);
        },

        methods: {
            filmDelete(id){
                axios.delete('http://127.0.0.1:8000/film/delete/'+id)
                .then(response => {response,
                this.films = this.films.filter(c =>c.id !==id)
                })
                .catch(error => {
                     this.films = this.films
                    console.error("There was an error!", error);
                });
            },
            getfilms()
            {
                axios.get('http://127.0.0.1:8000/films')
                    .then(response => {
                    this.films = response.data
                })
                    .catch(error => {
                        console.log(error)
                        //this.errored = true
                    });
            }  
        },
        
    }
</script>
